%define	url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja/extensions-2.0/.*\\.so
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja-sendto/plugins/.*\\.so

%define oname mate-file-manager

Name:       caja-extensions
Summary:    Set of extensions for caja file manager
Version:    1.18.1
Release:    %mkrel 1
Group:      Graphical desktop/MATE
License:    GPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    caja-share-setup-instructions
Source2:    caja-share-smb.conf.example
Source3:    gksu-wrapper.in
Patch0:     caja-extensions-1.8.0-mga-gksu.patch

BuildRequires: mate-common >= 1.17.0
BuildRequires: pkgconfig(libcaja-extension) >= 1.17.1
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.17.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(gupnp-1.0) >= 0.13
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires: pkgconfig(gmodule-2.0) >= 2.36.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-2.0)

%description
Extensions for the caja file-browser, open-terminal,
image-converter, sendto and share

%package common
Summary:    Common files for caja-extensions
Group:      Graphical desktop/MATE
BuildArch:  noarch

%description common
Common files for caja extensions such as open-terminal,
image-converter etc.

%package -n caja-image-converter
Summary:    Caja extension to mass resize images
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   imagemagick
Requires:   %{_lib}caja-extension1 >= 1.16.0
Obsoletes:  caja-image-converter < 1.16.0
%rename %{oname}-image-converter

%description -n caja-image-converter
Adds a "Resize Images..." menu item to the context menu of all images. This
opens a dialog where you set the desired image size and file name. A click
on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

%package -n caja-open-terminal
Summary:    Caja extension for an open terminal shortcut
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   %{_lib}caja-extension1 >= 1.16.0
Obsoletes:  caja-open-terminal < 1.16.0
%rename %{oname}-open-terminal

%description -n caja-open-terminal
This is a proof-of-concept Caja extension which allows you to open
a terminal in arbitrary local folders.

%package -n caja-gksu
Summary:    Caja extension for opening files or folders as root
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   %{_lib}caja-extension1 >= 1.16.0
Obsoletes:  caja-gksu < 1.16.0
%rename %{oname}-gksu

%description -n caja-gksu
A little plugin for caja to open files or folders as root.

%package -n caja-sendto
Summary: Send files from caja using with mail or IM
Group: 	Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   %{_lib}caja-extension1 >= 1.16.0
Provides:   caja-email = %{version}-%{release}
Provides:   caja-evolution = %{version}-%{release}
Obsoletes:  caja-sendto < 1.16.0
Conflicts:  %{oname}-bluetooth
%rename %{oname}-sendto

%description -n caja-sendto
This application provides integration between caja and mail or IM clients.
It adds a Caja context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package -n caja-sendto-pidgin
Summary:    Send files from caja to pidgin
Group:      Graphical desktop/MATE
Requires:   pidgin
Requires:   %{name}-common = %{version}
Requires:   caja-sendto = %{version}-%{release}
Provides:   %{name}-sendto-gaim = %{version}-%{release}
Obsoletes:  caja-sendto-pidgin < 1.16.0
%rename %{oname}-sendto-pidgin

%description -n caja-sendto-pidgin
This application provides integration between caja and pidgin. It
adds a Caja context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package -n caja-sendto-upnp
Summary:    Send files from nautilus via UPNP
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}
Requires:   caja-sendto = %{version}-%{release}
Obsoletes:  caja-sendto-upnp < 1.16.0
%rename %{oname}-sendto-upnp

%description -n caja-sendto-upnp
This application provides integration between caja and UPNP.
It adds a Caja context menu component ("Send To...") and allows sending
files to UPNP media servers.

%package -n caja-sendto-devel
Summary:    Development libraries and headers for caja-sendto
Group: 	    Development/C
Requires:   %{name}-common = %{version}-%{release}
Requires:   caja-sendto = %{version}-%{release}
Obsoletes:  caja-sendto-devel < 1.16.0
%rename %{oname}-sendto-devel

%description -n caja-sendto-devel
Development libraries and headers for caja-sendto

%package -n caja-share
Summary:    Easy sharing folder via Samba (CIFS protocol)
Group: 	    Networking/File transfer
Requires:   %{name}-common = %{version}-%{release}
Requires:   %{_lib}caja-extension1 >= 1.17.0
Requires:   samba-server
Requires:   gvfs-fuse
Requires:   gvfs-smb
Recommends: gvfs-mtp
Obsoletes:  caja-share < 1.16.0
%rename %{oname}-share

%description -n caja-share
Caja extension designed for easier folders
sharing via Samba (CIFS protocol) in *NIX systems.

%package -n caja-wallpaper
Summary:    Caja extension to set wallpapers
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Obsoletes:  %{name}-common < 1.16.0

%description -n caja-wallpaper
Caja extension to set wallpaper on the fly

%package -n caja-xattr-tags
Summary:    MATE file manager xattr-tags
Requires:   %{name}-common = %{version}-%{release}
%description -n caja-xattr-tags
Caja xattr-tags extension, allows to quickly set xattr-tags.

%prep
%autosetup -p1

cp %{_sourcedir}/caja-share-setup-instructions SETUP

%build
%configure2_5x \
	--disable-schemas-compile \
	--enable-image-converter	\
	--enable-open-terminal	\
	--enable-sendto	\
	--enable-share	\
	--enable-gksu	\
	--enable-wallpaper	\
	--with-sendto-plugins=all	\
	--enable-gtk-doc-html	\
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

mkdir -p %{buildroot}/%{_sysconfdir}/samba/
install -m644 %{_sourcedir}/caja-share-smb.conf.example %{buildroot}/%{_sysconfdir}/samba/

install -m755 %{_sourcedir}/gksu-wrapper.in %{buildroot}/%{_bindir}/gksu-wrapper

# remove needless MateConf stuff
rm -fr	%{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome --all-name

%files common -f %{name}.lang
%doc AUTHORS README SETUP
%dir %{_datadir}/caja-extensions/

%files -n caja-image-converter
%{_libdir}/caja/extensions-2.0/libcaja-image-converter.so
%{_datadir}/caja-extensions/caja-image-resize.ui
%{_datadir}/caja-extensions/caja-image-rotate.ui
%{_datadir}/caja/extensions/libcaja-image-converter.caja-extension

%files -n caja-open-terminal
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%{_datadir}/caja/extensions/libcaja-open-terminal.caja-extension

%files -n caja-sendto
%{_bindir}/caja-sendto
%dir %{_libdir}/caja-sendto/
%dir %{_libdir}/caja-sendto/plugins/
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/caja-extensions/caja-sendto.ui
%{_datadir}/caja/extensions/libcaja-sendto.caja-extension
%{_mandir}/man1/caja-sendto.1.*

%files -n caja-sendto-pidgin
%{_libdir}/caja-sendto/plugins/libnstpidgin.so

%files -n caja-sendto-upnp
%{_libdir}/caja-sendto/plugins/libnstupnp.so

%files -n caja-sendto-devel
%doc %{_datadir}/gtk-doc/html/caja-sendto/
%dir %{_includedir}/caja-sendto/
%{_includedir}/caja-sendto/caja-sendto-plugin.h
%{_libdir}/pkgconfig/caja-sendto.pc

%files -n caja-share
%{_sysconfdir}/samba/caja-share-smb.conf.example
%{_libdir}/caja/extensions-2.0/libcaja-share.so
%{_datadir}/caja-extensions/share-dialog.ui
%{_datadir}/caja/extensions/libcaja-share.caja-extension

%files -n caja-gksu
%{_bindir}/gksu-wrapper
%{_libdir}/caja/extensions-2.0/libcaja-gksu.so
%{_datadir}/caja/extensions/libcaja-gksu.caja-extension

%files -n caja-wallpaper
%{_libdir}/caja/extensions-2.0/libcaja-wallpaper.so
%{_datadir}/caja/extensions/libcaja-wallpaper.caja-extension

%files -n caja-xattr-tags
%{_libdir}/caja/extensions-2.0/libcaja-xattr-tags.so
%{_datadir}/caja/extensions/libcaja-xattr-tags.caja-extension


%changelog
* Thu Apr 27 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1097835
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092612
- Updated to 1.18.0 version
- Updated to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074714
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001515
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950680
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898527
-Update to 1.12.0 version

* Sun Sep 27 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 884161
- new version 1.10.1

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839856
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-6.mga5
+ Revision: 747300
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 693557
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 678291
- Mageia 5 Mass Rebuild

* Thu Apr 03 2014 tarakbumba <tarakbumba> 1.8.0-3.mga5
+ Revision: 611580
- Enabled gksu extension
- Add gvfs-* as requires in caja-share

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600117
- Updated to version 1.8.0

* Sun Mar 02 2014 tarakbumba <tarakbumba> 1.7.90-5.mga5
+ Revision: 598582
- Fix for requires

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-4.mga5
+ Revision: 598448
- Fix obsoletes again

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-3.mga5
+ Revision: 598423
- Fix requires for pidgin and upnp extensions

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 598418
- Fix obsoletes and provides

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598353
- imported package caja-extensions

